Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getClients({
clientId: "string",
networkId: "string",
});
export const merakiNetworksClientsExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_clients(client_id="string",
network_id="string")
pulumi.export("merakiNetworksClientsExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.GetClients(ctx, &networks.GetClientsArgs{
ClientId: "string",
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksClientsExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetClients.Invoke(new()
{
ClientId = "string",
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksClientsExample"] = example.Apply(getClientsResult => getClientsResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetClientsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getClients(GetClientsArgs.builder()
.clientId("string")
.networkId("string")
.build());
ctx.export("merakiNetworksClientsExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getClients
arguments:
clientId: string
networkId: string
outputs:
merakiNetworksClientsExample: ${example.item}
Using getClients
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getClients(args: GetClientsArgs, opts?: InvokeOptions): Promise<GetClientsResult>
function getClientsOutput(args: GetClientsOutputArgs, opts?: InvokeOptions): Output<GetClientsResult>def get_clients(client_id: Optional[str] = None,
network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetClientsResult
def get_clients_output(client_id: Optional[pulumi.Input[str]] = None,
network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetClientsResult]func GetClients(ctx *Context, args *GetClientsArgs, opts ...InvokeOption) (*GetClientsResult, error)
func GetClientsOutput(ctx *Context, args *GetClientsOutputArgs, opts ...InvokeOption) GetClientsResultOutput> Note: This function is named GetClients in the Go SDK.
public static class GetClients
{
public static Task<GetClientsResult> InvokeAsync(GetClientsArgs args, InvokeOptions? opts = null)
public static Output<GetClientsResult> Invoke(GetClientsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetClientsResult> getClients(GetClientsArgs args, InvokeOptions options)
public static Output<GetClientsResult> getClients(GetClientsArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getClients:getClients
arguments:
# arguments dictionaryThe following arguments are supported:
- client_
id str - clientId path parameter. Client ID
- network_
id str - networkId path parameter. Network ID
getClients Result
The following output properties are available:
- Client
Id string - clientId path parameter. Client ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Clients Item - Network
Id string - networkId path parameter. Network ID
- Client
Id string - clientId path parameter. Client ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Clients Item - Network
Id string - networkId path parameter. Network ID
- client
Id String - clientId path parameter. Client ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Clients Item - network
Id String - networkId path parameter. Network ID
- client
Id string - clientId path parameter. Client ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Clients Item - network
Id string - networkId path parameter. Network ID
- client_
id str - clientId path parameter. Client ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Clients Item - network_
id str - networkId path parameter. Network ID
- client
Id String - clientId path parameter. Client ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetClientsItem
- Cdps
List<Get
Clients Item Cdp> - The Cisco discover protocol settings for the client
- Client
Vpn List<GetConnections Clients Item Client Vpn Connection> - VPN connections associated with the client
- Description string
- Short description of the client
- First
Seen int - Timestamp client was first seen in the network
- Id string
- The ID of the client
- Ip string
- The IP address of the client
- Ip6 string
- The IPv6 address of the client
- Last
Seen int - Timestamp client was last seen in the network
- Lldps
List<Get
Clients Item Lldp> - The link layer discover protocol settings for the client
- Mac string
- The MAC address of the client
- Manufacturer string
- Manufacturer of the client
- Os string
- The operating system of the client
- Recent
Device stringMac - The MAC address of the node that the device was last connected to
- Sm
Installed bool - Status of SM for the client
- Ssid string
- The name of the SSID that the client is connected to
- Status string
- The connection status of the client
- Switchport string
- The switch port that the client is connected to
- User string
- The username of the user of the client
- Vlan string
- The name of the VLAN that the client is connected to
- Wireless
Capabilities string - Wireless capabilities of the client
- Cdps
[]Get
Clients Item Cdp - The Cisco discover protocol settings for the client
- Client
Vpn []GetConnections Clients Item Client Vpn Connection - VPN connections associated with the client
- Description string
- Short description of the client
- First
Seen int - Timestamp client was first seen in the network
- Id string
- The ID of the client
- Ip string
- The IP address of the client
- Ip6 string
- The IPv6 address of the client
- Last
Seen int - Timestamp client was last seen in the network
- Lldps
[]Get
Clients Item Lldp - The link layer discover protocol settings for the client
- Mac string
- The MAC address of the client
- Manufacturer string
- Manufacturer of the client
- Os string
- The operating system of the client
- Recent
Device stringMac - The MAC address of the node that the device was last connected to
- Sm
Installed bool - Status of SM for the client
- Ssid string
- The name of the SSID that the client is connected to
- Status string
- The connection status of the client
- Switchport string
- The switch port that the client is connected to
- User string
- The username of the user of the client
- Vlan string
- The name of the VLAN that the client is connected to
- Wireless
Capabilities string - Wireless capabilities of the client
- cdps
List<Get
Clients Item Cdp> - The Cisco discover protocol settings for the client
- client
Vpn List<GetConnections Clients Item Client Vpn Connection> - VPN connections associated with the client
- description String
- Short description of the client
- first
Seen Integer - Timestamp client was first seen in the network
- id String
- The ID of the client
- ip String
- The IP address of the client
- ip6 String
- The IPv6 address of the client
- last
Seen Integer - Timestamp client was last seen in the network
- lldps
List<Get
Clients Item Lldp> - The link layer discover protocol settings for the client
- mac String
- The MAC address of the client
- manufacturer String
- Manufacturer of the client
- os String
- The operating system of the client
- recent
Device StringMac - The MAC address of the node that the device was last connected to
- sm
Installed Boolean - Status of SM for the client
- ssid String
- The name of the SSID that the client is connected to
- status String
- The connection status of the client
- switchport String
- The switch port that the client is connected to
- user String
- The username of the user of the client
- vlan String
- The name of the VLAN that the client is connected to
- wireless
Capabilities String - Wireless capabilities of the client
- cdps
Get
Clients Item Cdp[] - The Cisco discover protocol settings for the client
- client
Vpn GetConnections Clients Item Client Vpn Connection[] - VPN connections associated with the client
- description string
- Short description of the client
- first
Seen number - Timestamp client was first seen in the network
- id string
- The ID of the client
- ip string
- The IP address of the client
- ip6 string
- The IPv6 address of the client
- last
Seen number - Timestamp client was last seen in the network
- lldps
Get
Clients Item Lldp[] - The link layer discover protocol settings for the client
- mac string
- The MAC address of the client
- manufacturer string
- Manufacturer of the client
- os string
- The operating system of the client
- recent
Device stringMac - The MAC address of the node that the device was last connected to
- sm
Installed boolean - Status of SM for the client
- ssid string
- The name of the SSID that the client is connected to
- status string
- The connection status of the client
- switchport string
- The switch port that the client is connected to
- user string
- The username of the user of the client
- vlan string
- The name of the VLAN that the client is connected to
- wireless
Capabilities string - Wireless capabilities of the client
- cdps
Sequence[Get
Clients Item Cdp] - The Cisco discover protocol settings for the client
- client_
vpn_ Sequence[Getconnections Clients Item Client Vpn Connection] - VPN connections associated with the client
- description str
- Short description of the client
- first_
seen int - Timestamp client was first seen in the network
- id str
- The ID of the client
- ip str
- The IP address of the client
- ip6 str
- The IPv6 address of the client
- last_
seen int - Timestamp client was last seen in the network
- lldps
Sequence[Get
Clients Item Lldp] - The link layer discover protocol settings for the client
- mac str
- The MAC address of the client
- manufacturer str
- Manufacturer of the client
- os str
- The operating system of the client
- recent_
device_ strmac - The MAC address of the node that the device was last connected to
- sm_
installed bool - Status of SM for the client
- ssid str
- The name of the SSID that the client is connected to
- status str
- The connection status of the client
- switchport str
- The switch port that the client is connected to
- user str
- The username of the user of the client
- vlan str
- The name of the VLAN that the client is connected to
- wireless_
capabilities str - Wireless capabilities of the client
- cdps List<Property Map>
- The Cisco discover protocol settings for the client
- client
Vpn List<Property Map>Connections - VPN connections associated with the client
- description String
- Short description of the client
- first
Seen Number - Timestamp client was first seen in the network
- id String
- The ID of the client
- ip String
- The IP address of the client
- ip6 String
- The IPv6 address of the client
- last
Seen Number - Timestamp client was last seen in the network
- lldps List<Property Map>
- The link layer discover protocol settings for the client
- mac String
- The MAC address of the client
- manufacturer String
- Manufacturer of the client
- os String
- The operating system of the client
- recent
Device StringMac - The MAC address of the node that the device was last connected to
- sm
Installed Boolean - Status of SM for the client
- ssid String
- The name of the SSID that the client is connected to
- status String
- The connection status of the client
- switchport String
- The switch port that the client is connected to
- user String
- The username of the user of the client
- vlan String
- The name of the VLAN that the client is connected to
- wireless
Capabilities String - Wireless capabilities of the client
GetClientsItemClientVpnConnection
- Connected
At int - The time the client last connected to the VPN
- Disconnected
At int - The time the client last disconnectd from the VPN
- Remote
Ip string - The IP address of the VPN the client last connected to
- Connected
At int - The time the client last connected to the VPN
- Disconnected
At int - The time the client last disconnectd from the VPN
- Remote
Ip string - The IP address of the VPN the client last connected to
- connected
At Integer - The time the client last connected to the VPN
- disconnected
At Integer - The time the client last disconnectd from the VPN
- remote
Ip String - The IP address of the VPN the client last connected to
- connected
At number - The time the client last connected to the VPN
- disconnected
At number - The time the client last disconnectd from the VPN
- remote
Ip string - The IP address of the VPN the client last connected to
- connected_
at int - The time the client last connected to the VPN
- disconnected_
at int - The time the client last disconnectd from the VPN
- remote_
ip str - The IP address of the VPN the client last connected to
- connected
At Number - The time the client last connected to the VPN
- disconnected
At Number - The time the client last disconnectd from the VPN
- remote
Ip String - The IP address of the VPN the client last connected to
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
